Page MenuHomePhabricator

Replace call to rm with clean-webpack-plugin
Closed, ResolvedPublic1 Story Points

Description

The invocation of rm -rf resources/dist/in package.json (check-built-assets) may be replaced with clean-webpack-plugin. The benefit of this change is that calling npm run build will work the same as the check-built-assets script.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2018, 6:30 PM
Jdlrobson updated the task description. (Show Details)May 29 2018, 4:24 PM
Jdlrobson set the point value for this task to 1.

Change 440868 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/extensions/Popups@master] Hygiene: replace call to rm with clean-webpack-plugin

https://gerrit.wikimedia.org/r/440868

Change 440868 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Hygiene: replace call to rm with clean-webpack-plugin

https://gerrit.wikimedia.org/r/440868

Jdlrobson closed this task as Resolved.Jun 19 2018, 9:28 PM

Thank you!

Vvjjkkii renamed this task from Replace call to rm with clean-webpack-plugin to pvdaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Jdlrobson as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed the point value for this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Jdlrobson; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from pvdaaaaaaa to Replace call to rm with clean-webpack-plugin.Jul 2 2018, 2:53 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot claimed this task.
CommunityTechBot reassigned this task from CommunityTechBot to Jdlrobson.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot set the point value for this task to 1.
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Jdlrobson.
CommunityTechBot added a subscriber: CommunityTechBot.